* Do-file for:
* 
* Caving in or sitting it out? Longitudinal patterns of noncompliance in the 
* European Union
* 
* Tanja A. Borzel, Tobias Hofmann, and Diana Panke
* 
* Journal of European Public Policy 19: 454–471

capture log close
set more off

* Insert your path here
log using "...\jepp_2012.smcl", replace

net install st0085_1, all from(http://www.stata-journal.com/software/sj7-2) 

use "...\jepp_2012a.dta", clear

* Model 1: 
oprobit y gdp gdppc efficiency constraints rule_of_law eu_support i.year, ///
	cluster(country_code)
eststo model_1
	
* Model 2:	
oprobit y ssi gdppc efficiency constraints rule_of_law eu_support i.year, ///
	cluster(country_code)
eststo model_2	

use "...\jepp_2012b.dta", clear

stset y, failure(failure)

* Model 3: 
stcox gdp gdppc efficiency constraints rule_of_law eu_support i.year, ///
	cluster(country_code) nohr
eststo model_3
	
* Model 4:	
stcox ssi gdppc efficiency constraints rule_of_law eu_support i.year, ///
	cluster(country_code) nohr
eststo model_4	

* Table 1:
esttab, se drop(19* _cons)

capture stcox ssi gdppc efficiency constraints, nohr basesurv(d)
set graphics off
stcurve, survival range(0 5) at1(ssi = 17.9) at2(ssi = 3) ///
	ytitle(Survival Rate) xtitle(Duration of Proceedings in Years) ///
	legend(order(1 "France" 2 "Luxembourg")) /// 
	title(Shapley Shubik Index) name(a, replace)
stcurve, survival range(0 5) at1(constraints = .225135) ///
	at2(constraints = .70811) ytitle("") ///
	xtitle(Duration of Proceedings in Years) ///
	legend(order(1 "France" 2 "Belgium")) /// 
	title("Constraints (Veto Players)") name(b, replace)
set graphics on
	
* Figure 1:	
graph combine a b, saving("...\jepp_2012.gph", replace) 

clear	
log close
